Last Comment Bug 901122 - Create custom entry form for dev-events requests
: Create custom entry form for dev-events requests
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: BMO (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2016-10-10]
:
Mentors:
Depends on: 905570
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 15:18 PDT by Christie Koehler [:ckoehler]
Modified: 2013-09-19 13:56 PDT (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Christie Koehler [:ckoehler] 2013-08-02 15:18:09 PDT
Currently event requests are funneled through dev-events@mozilla.org. Instead, we'd like to capture and track these requests in Bugzilla. 

The entry form should be modeled on this Google form:
https://docs.google.com/forms/d/1Rjk1xsMv-pGBbPLLe4o9YtJxeVOapERAuuRz45Zti_s/viewform

Requests should be filed under Developer Engagement > Events Request

Responses for each field should be included as the first comment of the bug.

Additionally, please put the response to "What are you requesting from Mozilla?" in the whiteboard field as follows:

* [keynote] - Keynote Presentation
* [talk] - Talk Presentation (non-keynote)
* [workshop] - Workshop
* [sponsorship] - Sponsorship
* [other] - Other 

Bugs should be MoCo-only.

Let me know if you need any additional details!
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-08-15 22:36:36 PDT
i've stood up a version of the form for your feedback:
https://bugzilla-dev.allizom.org/form.dev-engagement-event
Comment 2 Christie Koehler [:ckoehler] 2013-08-20 10:36:52 PDT
This looks really good, Byron, thank you!

I'm going to review with Robyn and will post our consolidated comments here.
Comment 3 Christie Koehler [:ckoehler] 2013-08-29 16:09:35 PDT
Robyn and I had a chance to review the form together today. 

We have a few changes:

1. Change how "Summary" field is derived: Event Name, Date (Event Location). It would be great if Date could be Start Date in MONTH YEAR format (e.g. August 2013).

2. If possible, set the Due Date field to the Start Date of the event. (Also, does Due Date exist as a field? I see as a column selection for search results, but can't find it in the bug display.)

3. Add "Venue" text field, after "Event Location". Help text: "What is the name of the venue where your event will be held? Enter TBD if you don't know yet."

4. Add "If requesting sponsorship, what amount/level do you suggest?" text field after "What are you requesting from Mozilla?"

5. Add products text field, required:
- Label: Which Mozilla products/projects are most relevant to this event?
- Help text: Please select all that apply. See https://www.mozilla.org/en-US/products/ for more information about Mozilla products.
- Options:  
-- Firefox OS
-- Firefox Web browser
-- Webmaker
-- Persona
-- Marketplace
-- Thunderbird
-- The free and open Web
-- Other: (with text field)

6. Populate URL field with "Weblink" value.

7. If possible, add a file upload field for "Sponsorship prospectus."
Comment 4 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-09-02 08:16:40 PDT
https://bugzilla-dev.allizom.org/form.dev-engagement-event has been updated -

> 1. Change how "Summary" field is derived: Event Name, Date (Event Location).
> It would be great if Date could be Start Date in MONTH YEAR format (e.g.
> August 2013).

done

> 2. If possible, set the Due Date field to the Start Date of the event.
> (Also, does Due Date exist as a field? I see as a column selection for
> search results, but can't find it in the bug display.)

due_date has to be enabled on a per-product basis.
i'll enable it as part of this change.

> 3. Add "Venue" text field, after "Event Location". Help text: "What is the
> name of the venue where your event will be held? Enter TBD if you don't know
> yet."

done

> 4. Add "If requesting sponsorship, what amount/level do you suggest?" text
> field after "What are you requesting from Mozilla?"

done

> 5. Add products text field, required:
> - Label: Which Mozilla products/projects are most relevant to this event?
> - Help text: Please select all that apply. See
> https://www.mozilla.org/en-US/products/ for more information about Mozilla
> products.
> - Options:  
> -- Firefox OS
> -- Firefox Web browser
> -- Webmaker
> -- Persona
> -- Marketplace
> -- Thunderbird
> -- The free and open Web
> -- Other: (with text field)

done

> 6. Populate URL field with "Weblink" value.

done

> 7. If possible, add a file upload field for "Sponsorship prospectus."

done
Comment 5 Christie Koehler [:ckoehler] 2013-09-16 08:53:17 PDT
Form looks good. Let's push live in the next cycle. Thanks!
Comment 6 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-09-16 23:17:27 PDT
\o/

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified .htaccess
modified extensions/BMO/lib/Data.pm
added extensions/BMO/template/en/default/bug/create/comment-dev-engagement-event.txt.tmpl
added extensions/BMO/template/en/default/bug/create/create-dev-engagement-event.html.tmpl
Committed revision 9009.
Comment 7 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-09-18 23:12:01 PDT
this form is now live at https://bugzilla.mozilla.org/form.dev-engagement-event
Comment 8 Robyn Chau 2013-09-19 13:56:57 PDT
Awesome!! Thank you!!

Note You need to log in before you can comment on or make changes to this bug.